Name:		gxneur
Version:	0.17.0
Release:	%mkrel 5
License:	GPLv2
URL:		http://www.xneur.ru
Group:		System/X11
Summary:	GTK front-end for X Neural Switcher (xneur)
Source0:	https://launchpad.net/~andrew-crew-kuznetsov/+archive/xneur-stable/+files/%{name}-%{version}.tar.gz
Requires:	xneur = %{version}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(xneur) = %{version}
BuildRequires:	pkgconfig(gconf-2.0)

%description
Automatical switcher of keyboard layout (GTK2 frontend).
X Neural Switcher (http://www.xneur.ru).

%prep
%setup -n %{name}-%{version} -q

%build
export XNEUR_LIBS="-lxnconfig -lpcre -lX11 -ldl"
%configure2_5x
%make

%install
%makeinstall_std

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=gXNeur
GenericName=Neural Switcher for Linux
GenericName[ru]=Переключатель раскладок клавиатуры
Comment=Automatic keyboard layout switcher
Comment[ru]=Автоматический переключатель раскладок клавиатуры
Comment[uk]=Автоматичний перемикач розкладок клавіатури
Comment[af]=Outomatiese sleutelborduitleg omskakelaar
Comment[sq]=Ndryshues automatik i daljes së tastierës
Comment[ast]=Cambiador automáticu de tecláu
Comment[bn]=স্বয়ংক্রিয় কীবোর্ডের বর্হিবিন্যাস পরিবর্তক
Comment[be]=Аўтаматычны пераключальнік раскладак клявіятуры
Comment[bs]=Automatski preklopnik rasporeda tastature
Comment[pt_BR]=Trocador automático de disposição de teclado
Comment[bg]=Програма за автоматично превключване на клавиатурната подредба
Comment[ca]=Un canviador automàtic de disposicions de teclat
Comment[ca@valencia]=Un canviador automàtic de disposicions de teclat
Comment[zh_HK]=自動切換鍵盤輸出
Comment[zh_TW]=自動切換鍵盤輸出
Comment[crh]=Kendiliğinden klavye düzeni değiştirici
Comment[zh_CN]=键盘布局自动切换器
Comment[cs]=Automatická změna rozložení klávesnice
Comment[da]=Automatisk skift af tastaturlayout
Comment[nl]=Verander automatisch de taal van uw toetsenbord
Comment[fi]=Automaattinen näppäimistön asettelun vaihtaja
Comment[fr]=Changement automatique de la disposition du clavier
Comment[gl]=Conmutador automático da disposición do teclado
Comment[de]=Automatischer Wechsler für Tastaturlayouts
Comment[el]=Αυτόματη εναλλαγή διάταξης πληκτρολογίου
Comment[hu]=Automatikus billentyűzetkiosztás-váltó
Comment[it]=Selettore automatico della disposizione tastiera
Comment[ja]=キーボードレイアウト自動切替ソフト
Comment[ky]=Ариптактанын калыптоосун автоматтык түрдө алмаштыруу
Comment[ms]=Penukar bentangan papan kekunci berautomatik
Comment[nb]=Automatisk valg av tastaturoppsett
Comment[oc]=Cambiament automatic de la disposicion del clavièr
Comment[pl]=Automatyczny przełącznik układu klawiatury
Comment[pt]=Alternador automático de disposição de teclado
Comment[sr]=Аутоматска замена распореда тастатуре
Comment[ro]=Comutator automat pentru aranjamente de tastatură
Comment[sl]=Samodejni preklopnik razporeditve tipkovnice
Comment[es]=Cambiador automático de teclado
Comment[sv]=Automatisk växlare för tangentbordslayouter
Comment[vi]=Bộ chuyển đổi bố trí bàn phím tự động
Comment[tr]=Kendiliğinden klavye düzeni değiştirici
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Application;Utility;
StartupNotify=false
EOF
install -m 0644 %{name}.desktop \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.17.0-5.mga6
+ Revision: 931949
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-4.mga5
+ Revision: 744282
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.0-3.mga5
+ Revision: 680063
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 alexl <alexl> 0.17.0-2.mga5
+ Revision: 659734
- rewrote and translated desktop file

* Wed Apr 16 2014 alexl <alexl> 0.17.0-1.mga5
+ Revision: 615284
- imported package gxneur

